org.jbpm.casemgmt.api.model.instance

## Enum MilestoneStatus

- java.lang.Object
- - java.lang.Enum<MilestoneStatus>
  - - org.jbpm.casemgmt.api.model.instance.MilestoneStatus

- All Implemented Interfaces:
    Serializable, Comparable<MilestoneStatus>

      public enum MilestoneStatus
      extends Enum<MilestoneStatus>

  Represents possible states of a case milestone

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Available`
    `Completed`
    `Terminated`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MilestoneStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MilestoneStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Available

          public static final MilestoneStatus Available

    - #### Completed

          public static final MilestoneStatus Completed

    - #### Terminated

          public static final MilestoneStatus Terminated

  - ### Method Detail

    - #### values

          public static MilestoneStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MilestoneStatus c : MilestoneStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MilestoneStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.